Bug 39657 - crash when opening signed document
Summary: crash when opening signed document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.2 RC2
Hardware: All All
: medium critical
Assignee: Michael Stahl
QA Contact:
URL:
Whiteboard: target:3.4.6 target:3.5.1 target:3.6....
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-28 23:56 UTC by Bart Hanssens
Modified: 2012-05-07 10:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Document signed with Belgian eID applet (9.00 KB, application/vnd.oasis.opendocument.text)
2011-07-28 23:56 UTC, Bart Hanssens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Hanssens 2011-07-28 23:56:34 UTC
Created attachment 49703 [details]
Document signed with Belgian eID applet

This is a document created with OOo and signed afterwards with a dev version of the Belgian eID applet, which tries to follow the signature part of ODF 1.2 COS very closely (it does includes XAdES elements, but that should not be a problem)

Opening the document causes LO 3.4.2rc2 and rc3 to crash on Win7 Enterprise (64 bit). Opening the unsigned document works just fine.

Problem signature:
  Problem Event Name:	BEX
  Application Name:	soffice.bin
  Application Version:	3.4.201.500
  Application Timestamp:	4e2d908c
  Fault Module Name:	MSVCR90.dll
  Fault Module Version:	9.0.30729.6161
  Fault Module Timestamp:	4dace5b9
  Exception Offset:	0006ccd5
  Exception Code:	c0000417
  Exception Data:	00000000
  OS Version:	6.1.7601.2.1.0.256.4
  Locale ID:	2067
  Additional Information 1:	6f99
  Additional Information 2:	6f99e81090cc8b737f9b268c474121bf
  Additional Information 3:	47c0
  Additional Information 4:	47c006fc08cc81041e1cb30922a670cb


OOo 3.3 can open the document, although it fails to see the signature
See also http://openoffice.org/bugzilla/show_bug.cgi?id=107864.
Comment 1 Jeffrey 2011-07-29 03:00:38 UTC
Reproduced on LibreOffice 3.4  340m1(Build:103) for OpenSuse Linux. I think there is a problem though I cannot speak much for it seeing that I cannot even open the downloaded attachment, which immediately leads to a crash.
Comment 2 noname 2011-07-30 07:27:45 UTC
Confirmed with [Win2K LibreOffice 3.4.2 OOO340m1 (Build:203)].
Hard error 'soffice.bin.exe has generated errors ......'.

Loads correctly with [Win2K OpenOffice.org 3.2.1 OOO320m19 (Build:9505)ooo-build 2010-07-18]
Comment 3 Björn Michaelsen 2011-12-23 12:24:46 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 4 Goran Rakic 2011-12-23 14:26:47 UTC
Confirmed on GNU/Linux 64bit with 3.5.0-beta1
Comment 5 Mike §chinagl 2012-01-15 05:12:09 UTC
I can confirm it that Writer hangs under Ubuntu Linux 10.10 with Kernel
2.3.35.31 with LibreOffice 3.4.4 OOO340m1 (Build:402) German help
Comment 6 Not Assigned 2012-02-20 04:45:34 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e57f68d7e7811584a006ecb8e71f8f96045c48e7&g=libreoffice-3-5

fdo#39657: fix crash when parsing XML signatures


It will be available in LibreOffice 3.5.1.
Comment 7 Not Assigned 2012-02-20 05:18:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-4":

http://cgit.freedesktop.org/libreoffice/components/commit/?id=3c70c38272e6a5d042f558b69044d21adc9fe7d0&g=libreoffice-3-4

fdo#39657: fix crash when parsing XML signatures


It will be available in LibreOffice 3.4.6.
Comment 8 Michael Stahl 2012-02-20 06:17:14 UTC
fixed on master as well (wasn't picked up automatically):

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67c396fb66a9c21c9eafaf4bcc3654706f643df0


we still don't recognize the signature here,
please file a separate bug for that.
Comment 9 Roman Eisele 2012-05-07 10:09:43 UTC
Not yet confirmed by simple end-user testing ;-) Therefore tested:

NOT REPRODUCIBLE anymore with LibreOffice 3.5.3.2 (Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80), German langpack installed, on MacOS X 10.6.8. The document opens fine, it reads "Hello World".
Comment 10 Roman Eisele 2012-05-07 10:11:38 UTC
Reset the Version field according to original description. Please note that 'Version' should always containt the FIRST version which is known to contain the bug, NOT the last one ;-)